# Poco::Data::SQLite

# class ReadOnlyException

Library: Data/SQLite
Package: SQLite
Header: Poco/Data/SQLite/SQLiteException.h

## Inheritance

Direct Base Classes: SQLiteException

All Base Classes: Poco::Data::DataException, SQLiteException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### ReadOnlyException

ReadOnlyException(
int code = 0
);

### ReadOnlyException

ReadOnlyException(
const ReadOnlyException & exc
);

### ReadOnlyException

ReadOnlyException(
const std::string & msg,
int code = 0
);

### ReadOnlyException

ReadOnlyException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### ReadOnlyException

ReadOnlyException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~ReadOnlyException

~ReadOnlyException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::Data::SQLite::SQLiteException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::Data::SQLite::SQLiteException::name()

### operator =

ReadOnlyException & operator = (
const ReadOnlyException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Data::SQLite::SQLiteException::rethrow()